function [bestscore, index] = matchDTW(song, query)

songlength = size(song,1);
querylength = size(query,1);

bestscore = Inf;
index = 0;

for i = 1:(songlength-querylength+1)
    score = DTW(query,song(i:(i+querylength-1),:),1);
    if(score<bestscore)
        bestscore = score;
        index = i;
    end
end

end